package com.loafle.overflow.probe.container.service;

import com.loafle.overflow.probe.container.crawler.Crawler;
import com.loafle.overflow.probe.container.crawler.config.Config;

import java.util.Map;

public class ConfigService extends Service {
    public ConfigService(Map<String, Crawler> crawlers) {
        super(crawlers);
    }

    public boolean init(String crawlerName, Config config) throws Exception {
        Crawler crawler = getCrawler(crawlerName);
        return crawler.init(config);
    }

    public boolean add(String crawlerName, Config config) throws Exception {
        Crawler crawler = getCrawler(crawlerName);
        return crawler.add(config);
    }

    public boolean remove(String crawlerName, String id) throws Exception {
        Crawler crawler = getCrawler(crawlerName);
        return crawler.remove(id);
    }
}
